Subject: [L2sm] Next steps with draft-ietf-l2sm-l2vpn-service-model

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 17 Jan 2018 09:01:57 -0000

All,

We're approaching Working Groups last call on our draft.

- I have requested a YANG Doctor review of the current revision
- I plan to do an English language review at the same time (unless
   someone else want to volunteer)
- NOW is the time for you to do your technical review. Don't leave
   is until WG last call!
- All things being equal, we will have WG last call in early February

Thanks,

Adrian

> -----Original Message-----
> From: L2sm [mailto:[email-masked]] On Behalf Of Fioccola Giuseppe
> Sent: 16 January 2018 10:05
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: [L2sm] I: I-D Action: draft-ietf-l2sm-l2vpn-service-model-05.txt
> 
> Hi All,
> This is the new version of the draft-ietf-l2sm-l2vpn-service-model.
> It addresses some comments from people that are trying to implement the draft
> and it includes also an update to the references in particular to RFC8199 and
> RFC8309.
> As usual, the fundamental changes are summarized in the Appendix A "Changes
> Log":
> 
>    Changes in v-(05) include:
> 
>    o  Change type from 16-bit integer to string for the leaf id under
>       "qos-classification-policy" container.
> 
>    o  Stick to using ordered-by user and remove inefficiency to map
>       service model sequence number to device model sequence number.
> 
>    o  Remove mandating the use of deviations and add "if-feature target-
>       sites" under the leaf-list target-sites in section 5.10.2.
> 
>    o  RFC2119 language changes on operation of the management system in
>       Section 5.6,3rd paragraph and section 7.
> 
>    o  Fix incomplete description statements.
> 
>    o  Change the use of the absolute paths to the use of relative paths
>       in the "must" statement or "path" statement for vpn-policy-id leaf
>       node, management container, location leaf node, devices container,
>       location case, location-reference leaf, device case, device-
>       reference leaf to make configuration is only applicable to the
>       current sites.
> 
>    o  Change "must" statement to "when" statement for management
>       container device container.
> 
>    o  Define new grouping vpn-profile-cfg for all the identifiers
>       provided by SP to the customer.  The identifiers include cloud-
>       identifier, std-qos-profile.
> 
>    o  Add in the XPATH string representation and remove unqualified
>       name.
> 
>    o  Remove redundant parameters in the cloud access.
> 
>    o  Add a few text to clarify what the site is in section 6.3.
> 
>    o  Add multi-filter and multi-VPN per entry support for VPN policy.
> 
>    o  Modify description for svc-bandwidth leaf to make it consistent
>       with the text in section 5.10.1.
> 
>    o  Add text to clarify the way to achieve Per-VPN QoS policy.
> 
>    o  Change guaranteed-bw-percent data type from uint8 to decimal64.
> 
> 
> Reviews and Comments are always welcome.
> 
> Best Regards,
> 
> Giuseppe
> 
> -----Messaggio originale-----
> Da: L2sm [mailto:[email-masked]] Per conto di [email-masked]
> Inviato: martedì 16 gennaio 2018 10:46
> A: [email-masked]
> Cc: [email-masked]
> Oggetto: [L2sm] I-D Action: draft-ietf-l2sm-l2vpn-service-model-05.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> This draft is a work item of the L2VPN Service Model WG of the IETF.
> 
>         Title           : A YANG Data Model for L2VPN Service Delivery
>         Authors         : Bin Wen
>                           Giuseppe Fioccola
>                           Chongfeng Xie
>                           Luay Jalil
> 	Filename        : draft-ietf-l2sm-l2vpn-service-model-05.txt
> 	Pages           : 149
> 	Date            : 2018-01-16
> 
> Abstract:
>    This document defines a YANG data model that can be used to configure
>    a Layer 2 Provider Provisioned VPN service.
> 
>    This model is intended to be instantiated at management system to
>    deliver the overall service.  This model is not a configuration model
>    to be used directly on network elements, but provides an abstracted
>    view of the Layer 2 VPN service configuration components.  It is up
>    to a management system to take this as an input and generate specific
>    configurations models to configure the different network elements to
>    deliver the service.  How configuration of network elements is done
>    is out of scope of the document.
> 
>    The data model in this document includes support for point-to-point
>    Virtual Private Wire Services (VPWS) and multipoint Virtual Private
>    LAN services (VPLS) that use Pseudowires signaled using the Label
>    Distribution Protocol (LDP) and the Border Gateway Protocol (BGP) as
>    described in RFC4761 and RFC6624.
> 
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-ietf-l2sm-l2vpn-service-model/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-ietf-l2sm-l2vpn-service-model-05
> https://datatracker.ietf.org/doc/html/draft-ietf-l2sm-l2vpn-service-model-05
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-ietf-l2sm-l2vpn-service-model-05
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> L2sm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/l2sm
> 
> Questo messaggio e i suoi allegati sono indirizzati esclusivamente alle
persone
> indicate. La diffusione, copia o qualsiasi altra azione derivante dalla
conoscenza di
> queste informazioni sono rigorosamente vietate. Qualora abbiate ricevuto
> questo documento per errore siete cortesemente pregati di darne immediata
> comunicazione al mittente e di provvedere alla sua distruzione, Grazie.
> 
> This e-mail and any attachments is confidential and may contain privileged
> information intended for the addressee(s) only. Dissemination, copying,
printing
> or use by anybody else is unauthorised. If you are not the intended recipient,
> please delete this message and any attachments and advise the sender by return
> e-mail, Thanks.
> 
> Rispetta l'ambiente. Non stampare questa mail se non è necessario.
> 
> _______________________________________________
> L2sm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/l2sm

---

From: "Roque Gagliano (rogaglia)" <[email-masked]>
Date: Sun, 21 Jan 2018 06:23:13 +0000

Hi Adrian,

One point that I would like to raise is that it would be important to describe the relationship between this work and what is happening at other standardization bodies such as the MEF Legato YANG service modules and the TAPI work at the ONF.

Regards,
Roque

Ref MEF Legato YANG modules: https://github.com/MEF-GIT/YANG-public/tree/master/src/model/draft

On 17/01/18 10:02, "L2sm on behalf of Adrian Farrel" <[email-masked] on behalf of [email-masked]> wrote:

    All,

    
    Thanks,
    
    Adrian
    
    directories.
    persone
    conoscenza di
    printing

---

From: Benoit Claise <[email-masked]>
Date: Mon, 22 Jan 2018 17:46:11 +0100

Hi Roque,

While I understand the willingness to understand the big picture, I 
don't believe it's appropriate for an IETF document to describe what is 
happening in different efforts in the industry.

Regards, Benoit

---

From: "Andrew G. Malis" <[email-masked]>
Date: Mon, 22 Jan 2018 13:12:35 -0500

Benoit,

We do that all the time. A recent example is draft-ietf-lpwan-overview.

Cheers,
Andy

On Mon, Jan 22, 2018 at 11:46 AM, Benoit Claise <[email-masked]> wrote:

> Hi Roque,
>
> While I understand the willingness to understand the big picture, I don't
> believe it's appropriate for an IETF document to describe what is happening
> in different efforts in the industry.
>
> Regards, Benoit
>
> Hi Adrian,
>>
>> One point that I would like to raise is that it would be important to
>> describe the relationship between this work and what is happening at other
>> standardization bodies such as the MEF Legato YANG service modules and the
>> TAPI work at the ONF.
>>
>> Regards,
>> Roque
>>
>> On 17/01/18 10:02, "L2sm on behalf of Adrian Farrel" <
>> [email-masked] on behalf of [email-masked]> wrote:
>>
>>      All,

---

From: Benoit Claise <[email-masked]>
Date: Tue, 23 Jan 2018 14:01:56 +0100

Andrew,
> We do that all the time. A recent example is draft-ietf-lpwan-overview.
draft-ietf-lpwan-overview is overview type of documents, so that makes 
sense.
In this example, we speak of competing or overlapping efforts. At least 
some people see it that way.
So explaining the relationships between those efforts in a way that will 
satisfy everybody seems very difficult, if not impossible to me.
In those of situations, my view is pragmatic: let the market decide.

Regards, Benoit
>
> Cheers,
> Andy
>
>
> On Mon, Jan 22, 2018 at 11:46 AM, Benoit Claise <[email-masked] 
> <mailto:[email-masked]>> wrote:
>
>     Hi Roque,
>
>     While I understand the willingness to understand the big picture,
>     I don't believe it's appropriate for an IETF document to describe
>     what is happening in different efforts in the industry.
>
>     Regards, Benoit
>
>         Hi Adrian,
>
>         One point that I would like to raise is that it would be
>         important to describe the relationship between this work and
>         what is happening at other standardization bodies such as the
>         MEF Legato YANG service modules and the TAPI work at the ONF.
>
>         Regards,
>         Roque
>
>         Ref MEF Legato YANG modules:
>         https://github.com/MEF-GIT/YANG-public/tree/master/src/model/draft
>         <https://github.com/MEF-GIT/YANG-public/tree/master/src/model/draft>
>
>
>         On 17/01/18 10:02, "L2sm on behalf of Adrian Farrel"
>         <[email-masked] <mailto:[email-masked]> on
>         behalf of [email-masked] <mailto:[email-masked]>> wrote:
>
>              All,
>                   > -----Original Message-----
>              > From: L2sm [mailto:[email-masked]
>         <mailto:[email-masked]>] On Behalf Of Fioccola Giuseppe
>              > Sent: 16 January 2018 10:05
>              > To: [email-masked] <mailto:[email-masked]>
>              > Cc: [email-masked]
>         <mailto:[email-masked]>;
>         [email-masked] <mailto:[email-masked]>
>              > Subject: [L2sm] I: I-D Action:
>         draft-ietf-l2sm-l2vpn-service-model-05.txt
>              >
>              > Hi All,
>              > This is the new version of the
>         draft-ietf-l2sm-l2vpn-service-model.
>              > It addresses some comments from people that are trying
>         to implement the draft
>              > and it includes also an update to the references in
>         particular to RFC8199 and
>              > RFC8309.
>              > As usual, the fundamental changes are summarized in the
>         Appendix A "Changes
>              > Log":
>              >
>              >    Changes in v-(05) include:
>              >
>              >    o  Change type from 16-bit integer to string for the
>         leaf id under
>              >       "qos-classification-policy" container.
>              >
>              >    o  Stick to using ordered-by user and remove
>         inefficiency to map
>              >       service model sequence number to device model
>         sequence number.
>              >
>              >    o  Remove mandating the use of deviations and add
>         "if-feature target-
>              >       sites" under the leaf-list target-sites in
>         section 5.10.2.
>              >
>              >    o  RFC2119 language changes on operation of the
>         management system in
>              >       Section 5.6,3rd paragraph and section 7.
>              >
>              >    o  Fix incomplete description statements.
>              >
>              >    o  Change the use of the absolute paths to the use
>         of relative paths
>              >       in the "must" statement or "path" statement for
>         vpn-policy-id leaf
>              >       node, management container, location leaf node,
>         devices container,
>              >       location case, location-reference leaf, device
>         case, device-
>              >       reference leaf to make configuration is only
>         applicable to the
>              >       current sites.
>              >
>              >    o  Change "must" statement to "when" statement for
>         management
>              >       container device container.
>              >
>              >    o  Define new grouping vpn-profile-cfg for all the
>         identifiers
>              >       provided by SP to the customer.  The identifiers
>         include cloud-
>              >       identifier, std-qos-profile.
>              >
>              >    o  Add in the XPATH string representation and remove
>         unqualified
>              >       name.
>              >
>              >    o  Remove redundant parameters in the cloud access.
>              >
>              >    o  Add a few text to clarify what the site is in
>         section 6.3.
>              >
>              >    o  Add multi-filter and multi-VPN per entry support
>         for VPN policy.
>              >
>              >    o  Modify description for svc-bandwidth leaf to make
>         it consistent
>              >       with the text in section 5.10.1.
>              >
>              >    o  Add text to clarify the way to achieve Per-VPN
>         QoS policy.
>              >
>              >    o  Change guaranteed-bw-percent data type from uint8
>         to decimal64.
>              >
>              >
>              > Reviews and Comments are always welcome.
>              >
>              > Best Regards,
>              >
>              > Giuseppe
>              >
>              > -----Messaggio originale-----
>              > Da: L2sm [mailto:[email-masked]
>         <mailto:[email-masked]>] Per conto di
>         [email-masked] <mailto:[email-masked]>
>              > Inviato: martedì 16 gennaio 2018 10:46
>              > A: [email-masked] <mailto:[email-masked]>
>              > Cc: [email-masked] <mailto:[email-masked]>
>              > Oggetto: [L2sm] I-D Action:
>         draft-ietf-l2sm-l2vpn-service-model-05.txt
>              >
>              >
>              > A New Internet-Draft is available from the on-line
>         Internet-Drafts
>              directories.
>              > This draft is a work item of the L2VPN Service Model WG
>         of the IETF.
>              >
>              >         Title           : A YANG Data Model for L2VPN
>         Service Delivery
>              >         Authors         : Bin Wen
>              >                           Giuseppe Fioccola
>              >                           Chongfeng Xie
>              >                           Luay Jalil
>              >  Filename        :
>         draft-ietf-l2sm-l2vpn-service-model-05.txt
>              >  Pages           : 149
>              >  Date            : 2018-01-16
>              >
>              > Abstract:
>              >    This document defines a YANG data model that can be
>         used to configure
>              >    a Layer 2 Provider Provisioned VPN service.
>              >
>              >    This model is intended to be instantiated at
>         management system to
>              >    deliver the overall service.  This model is not a
>         configuration model
>              >    to be used directly on network elements, but
>         provides an abstracted
>              >    view of the Layer 2 VPN service configuration
>         components.  It is up
>              >    to a management system to take this as an input and
>         generate specific
>              >    configurations models to configure the different
>         network elements to
>              >    deliver the service.  How configuration of network
>         elements is done
>              >    is out of scope of the document.
>              >
>              >    The data model in this document includes support for
>         point-to-point
>              >    Virtual Private Wire Services (VPWS) and multipoint
>         Virtual Private
>              >    LAN services (VPLS) that use Pseudowires signaled
>         using the Label
>              >    Distribution Protocol (LDP) and the Border Gateway
>         Protocol (BGP) as
>              >    described in RFC4761 and RFC6624.
>              >
>              >
>              >
>              > The IETF datatracker status page for this draft is:
>              >
>         <https://datatracker.ietf.org/doc/draft-ietf-l2sm-l2vpn-service-model/>
>              >
>              > There are also htmlized versions available at:
>              >
>         <https://tools.ietf.org/html/draft-ietf-l2sm-l2vpn-service-model-05>
>              >
>         <https://datatracker.ietf.org/doc/html/draft-ietf-l2sm-l2vpn-service-model-05>
>              >
>              > A diff from the previous version is available at:
>              >
>         <https://www.ietf.org/rfcdiff?url2=draft-ietf-l2sm-l2vpn-service-model-05>
>              >
>              >
>              > Please note that it may take a couple of minutes from
>         the time of submission
>              > until the htmlized version and diff are available at
>         tools.ietf.org <http://tools.ietf.org>.
>              >
>              > Internet-Drafts are also available by anonymous FTP at:
>              > ftp://ftp.ietf.org/internet-drafts/
>         <ftp://ftp.ietf.org/internet-drafts/>
>              >
>              > _______________________________________________
>              > L2sm mailing list
>              > [email-masked] <mailto:[email-masked]>
>              > https://www.ietf.org/mailman/listinfo/l2sm
>         <https://www.ietf.org/mailman/listinfo/l2sm>
>              >
>              > Questo messaggio e i suoi allegati sono indirizzati
>         esclusivamente alle
>              persone
>              > indicate. La diffusione, copia o qualsiasi altra azione
>         derivante dalla
>              conoscenza di
>              > queste informazioni sono rigorosamente vietate. Qualora
>         abbiate ricevuto
>              > questo documento per errore siete cortesemente pregati
>         di darne immediata
>              > comunicazione al mittente e di provvedere alla sua
>         distruzione, Grazie.
>              >
>              > This e-mail and any attachments is confidential and may
>         contain privileged
>              > information intended for the addressee(s) only.
>         Dissemination, copying,
>              printing
>              > or use by anybody else is unauthorised. If you are not
>         the intended recipient,
>              > please delete this message and any attachments and
>         advise the sender by return
>              > e-mail, Thanks.
>              >
>              > Rispetta l'ambiente. Non stampare questa mail se non è
>         necessario.
>              >
>              > _______________________________________________
>              > L2sm mailing list
>              > [email-masked] <mailto:[email-masked]>
>              > https://www.ietf.org/mailman/listinfo/l2sm
>         <https://www.ietf.org/mailman/listinfo/l2sm>
>         [email-masked] <mailto:[email-masked]>
>         <https://www.ietf.org/mailman/listinfo/l2sm>
>
>
>     [email-masked] <mailto:[email-masked]>
>     <https://www.ietf.org/mailman/listinfo/l2sm>
>
>

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 23 Jan 2018 12:49:20 -0500

Benoit,

Perhaps Roque could contribute some text, so we would have something
concrete to discuss rather than just in the abstract. This could perhaps go
into an informative appendix, if the WG approves including it. This could
make for a more informed market to make its decisions.

Cheers,
Andy